{
  "swagger": "2.0",
  "info": {
    "description": "The Procurement service enables applications to access and create procurement data.",
    "version": "v5",
    "title": "procurement",
    "x-workday-internal-source": "xo",
    "x-workday-internal-routing": "Public",
    "x-workday-internal-protected-usage-enabled": false,
    "x-workday-internal-service-container-id": "ba74f44bc90e107329f637811cde0039"
  },
  "host": "<tenantHostname>",
  "basePath": "/procurement/v5",
  "tags": [
    {
      "name": "purchaseOrders",
      "description": "Provides the ability to get information about purchase orders."
    },
    {
      "name": "requisitionTemplates",
      "description": "Provides the ability to get information about requisition templates."
    },
    {
      "name": "requisitions",
      "description": "Provides the ability to get, create, update, and delete requisitions."
    },
    {
      "name": "Prompt Values",
      "description": "Retrieves instances that can be used as values for other endpoint parameters in this service."
    }
  ],
  "schemes": [
    "https"
  ],
  "paths": {
    "/requisitions/{ID}/attachments?type=getFileContent": {
      "get": {
        "tags": [
          "requisitions"
        ],
        "description": "Get attachment information. Note that this operation can return either the metadata of the attachment, or the binary content of the attachment. The difference is based on whether the query parameter type is specified.\n\n<b>Secured By Domain:</b> REST API Public\n\nContains attachment(s) only",
        "produces": [
          "application/octet-stream",
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "file"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "65042b73eb40100007881202a7e200a7",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      }
    },
    "/requisitions/{ID}/attachments/{subresourceID}": {
      "get": {
        "tags": [
          "requisitions"
        ],
        "summary": "Retrieves the metadata or the attachment content of the specified requisition.",
        "description": "Retrieves the metadata of the attachment with the specified ID for the specified requisition.\n\nTo retrieve the attachment content, specify the type=getFileContent query parameter.\n\n<b>Secured By Domain:</b> REST API Public",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: File_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(File_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/businessDocumenAttachmentRepresentationView_aff036e6348f1000136753063d7500a1"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "c08b59edd9d610001d4608ce28ef009c",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      },
      "delete": {
        "tags": [
          "requisitions"
        ],
        "summary": "Deletes the specified requisition attachment.",
        "description": "Deletes the specified attachment to the requisition with the specified ID.\n\n<b>Secured By Domain:</b> REST API Public",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: File_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(File_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource."
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A359 | Cannot delete attachment. Requisition attachment is not part of the Requisition. |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "ca69b2817201100007063186c51d000d",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      },
      "patch": {
        "tags": [
          "requisitions"
        ],
        "summary": "Partially updates the metadata of an existing attachment instance for a requisition.",
        "description": "Partially updates the metadata for the specified attachment for the requisition with the specified ID. Supported metadata: comment, external attachment indicator, and attachment category.\n\n<b>Secured By Domain:</b> REST API Public",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: File_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(File_ID)=\\S+)$"
          },
          {
            "in": "body",
            "name": "businessDocumenAttachmentRepresentationEdit",
            "required": true,
            "schema": {
              "$ref": "#/definitions/businessDocumenAttachmentRepresentationEdit_fb7b966900c210000b9c29aa7eff00d6"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "schema": {
              "$ref": "#/definitions/businessDocumenAttachmentRepresentationEdit_fb7b966900c210000b9c29aa7eff00d6"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "fb7b966900c210000b9e5cb1b36800da",
        "x-workday-secured-by-domains": [
          "REST API Public"
        ]
      }
    },
    "/values/requisitionsGroup/resolvedWorktags/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "true"
      },
      "parameters": [
        {
          "name": "additionalWorktags",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "allStandaloneTypes",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "commodityCode",
          "in": "query",
          "description": "The Workday ID of the Commodity Code. Used in the spendCategory resource to retrieve spend categories from the specified commodity code.",
          "required": false,
          "type": "string"
        },
        {
          "name": "company",
          "in": "query",
          "description": "The Workday ID of the company.",
          "required": false,
          "type": "string"
        },
        {
          "name": "currency",
          "in": "query",
          "description": "The Workday ID of the currency.",
          "required": false,
          "type": "string"
        },
        {
          "name": "existingWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that already exist on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "itemDescription",
          "in": "query",
          "description": "The description of an item.",
          "required": false,
          "type": "string"
        },
        {
          "name": "itemSpendCategory",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "procurementItem",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "reqTypeBillOnly",
          "in": "query",
          "description": "If true, retrieves requisition types that are bill only and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeBillOnly=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeBillOnly and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeBillOnly=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeConsignment",
          "in": "query",
          "description": "If true, retrieves requisition types that are consignment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeConsignment=true and reqTypeBillOnly=true, this endpoint retrieves the requisition types whose reqTypeConsignment and reqTypeBillOnly are both true. It won't retrieve requisition types whose reqTypeConsignment=true and reqTypeBillOnly=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeInvReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are inventory replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeInvReplenishment=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeInvReplenishment and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeInvReplenishment=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeJustInTime",
          "in": "query",
          "description": "If true, retrieves requisition types that are just in time and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeJustInTime=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeJustInTime and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeJustInTime=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeParReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are par replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, , reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeParReplenishment=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeParReplenishment and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeParReplenishment=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeShowAllTypes",
          "in": "query",
          "description": "If true, retrieves all requisition types. If false, the requisitionType parameter will be used to filter results.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeSupplierContract",
          "in": "query",
          "description": "If true, retrieves requisition types that are Supplier Contract Request and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "requester",
          "in": "query",
          "description": "The Workday ID of the worker for whom the requisition is requested. The reference ID uses the Employee_ID=sampleRefId format. Example: Employee_ID=21005",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisition",
          "in": "query",
          "description": "The Workday ID of the requisition.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionDate",
          "in": "query",
          "description": "The requisition date using the yyyy-mm-dd format.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "requisitionLine",
          "in": "query",
          "description": "The Workday ID of the requisition line.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionType",
          "in": "query",
          "description": "The Workday ID of the requisition type. If populated, retrieve all requisition types that exactly match the combination of usages of the requisition type passed (e.g. Inventory Replenishment and Bill Only). \n\nIf not populated, the default is the combination of reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, and reqTypeConsignment.\n\nIgnored if reqTypeShowAllTypes is populated.",
          "required": false,
          "type": "string"
        },
        {
          "name": "resourceProviderContract",
          "in": "query",
          "description": "The Workday ID of the supplier contract.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "selectedWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that are newly selected on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "supplier",
          "in": "query",
          "description": "The Workday ID of the resource provider.",
          "required": false,
          "type": "string"
        },
        {
          "name": "typesWithoutService",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "validForRequestingEntity",
          "in": "query",
          "description": "This parameter holds a true value when Requesting Entity is selected.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "worktagType",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "worktagTypeOrderIndex",
          "in": "query",
          "description": "The ordered index of the worktag type to search within. 0 targets additional (non-primary) worktags; 1..n target the configured primary worktag types in order. Used to constrain worktag prompt search for primary worktag types.",
          "required": false,
          "type": "integer",
          "format": "int64"
        }
      ],
      "x-workday-secured-by-domains": [
        "Process: Requisition - Create/Edit",
        "Self-Service: Requisition"
      ]
    },
    "/values/requisitionsGroup/itemTags/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "additionalWorktags",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "allStandaloneTypes",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "commodityCode",
          "in": "query",
          "description": "The Workday ID of the Commodity Code. Used in the spendCategory resource to retrieve spend categories from the specified commodity code.",
          "required": false,
          "type": "string"
        },
        {
          "name": "company",
          "in": "query",
          "description": "The Workday ID of the company.",
          "required": false,
          "type": "string"
        },
        {
          "name": "currency",
          "in": "query",
          "description": "The Workday ID of the currency.",
          "required": false,
          "type": "string"
        },
        {
          "name": "existingWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that already exist on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "itemDescription",
          "in": "query",
          "description": "The description of an item.",
          "required": false,
          "type": "string"
        },
        {
          "name": "itemSpendCategory",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "procurementItem",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "reqTypeBillOnly",
          "in": "query",
          "description": "If true, retrieves requisition types that are bill only and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeBillOnly=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeBillOnly and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeBillOnly=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeConsignment",
          "in": "query",
          "description": "If true, retrieves requisition types that are consignment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeConsignment=true and reqTypeBillOnly=true, this endpoint retrieves the requisition types whose reqTypeConsignment and reqTypeBillOnly are both true. It won't retrieve requisition types whose reqTypeConsignment=true and reqTypeBillOnly=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeInvReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are inventory replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeInvReplenishment=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeInvReplenishment and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeInvReplenishment=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeJustInTime",
          "in": "query",
          "description": "If true, retrieves requisition types that are just in time and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeJustInTime=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeJustInTime and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeJustInTime=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeParReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are par replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, , reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeParReplenishment=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeParReplenishment and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeParReplenishment=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeShowAllTypes",
          "in": "query",
          "description": "If true, retrieves all requisition types. If false, the requisitionType parameter will be used to filter results.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeSupplierContract",
          "in": "query",
          "description": "If true, retrieves requisition types that are Supplier Contract Request and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "requester",
          "in": "query",
          "description": "The Workday ID of the worker for whom the requisition is requested. The reference ID uses the Employee_ID=sampleRefId format. Example: Employee_ID=21005",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisition",
          "in": "query",
          "description": "The Workday ID of the requisition.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionDate",
          "in": "query",
          "description": "The requisition date using the yyyy-mm-dd format.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "requisitionLine",
          "in": "query",
          "description": "The Workday ID of the requisition line.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionType",
          "in": "query",
          "description": "The Workday ID of the requisition type. If populated, retrieve all requisition types that exactly match the combination of usages of the requisition type passed (e.g. Inventory Replenishment and Bill Only). \n\nIf not populated, the default is the combination of reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, and reqTypeConsignment.\n\nIgnored if reqTypeShowAllTypes is populated.",
          "required": false,
          "type": "string"
        },
        {
          "name": "resourceProviderContract",
          "in": "query",
          "description": "The Workday ID of the supplier contract.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "selectedWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that are newly selected on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "supplier",
          "in": "query",
          "description": "The Workday ID of the resource provider.",
          "required": false,
          "type": "string"
        },
        {
          "name": "typesWithoutService",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "validForRequestingEntity",
          "in": "query",
          "description": "This parameter holds a true value when Requesting Entity is selected.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "worktagType",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "worktagTypeOrderIndex",
          "in": "query",
          "description": "The ordered index of the worktag type to search within. 0 targets additional (non-primary) worktags; 1..n target the configured primary worktag types in order. Used to constrain worktag prompt search for primary worktag types.",
          "required": false,
          "type": "integer",
          "format": "int64"
        }
      ],
      "x-workday-confidence-level": "Production",
      "x-workday-secured-by-domains": [
        "Process: Requisition - Create/Edit",
        "Self-Service: Requisition"
      ]
    },
    "/purchaseOrders/{ID}": {
      "get": {
        "tags": [
          "purchaseOrders"
        ],
        "summary": "Retrieves a purchase order.",
        "description": "Retrieves a purchase order with the specified ID.\n\n<b>Secured By Domain:</b> Process: Purchase Order - View, Process: Supplier Invoice (OLD), Process: Supplier Invoice - View, Process: Supplier Portal - Purchase Orders, Self-Service: Purchase Order, View: Organization Purchase Order\n\n<b>Scope:</b> Procurement, Supplier Accounts",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Document_Number, Purchase_Order_Reference_ID, External_PO_Number",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Document_Number|Purchase_Order_Reference_ID|External_PO_Number)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/purchaseOrderDetail_cf195d74f9ec10000e604d7d51c6000f"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "cf195d74f9ec1000116ec1fd2d01001f",
        "x-workday-secured-by-domains": [
          "Process: Purchase Order - View",
          "Process: Supplier Invoice (OLD)",
          "Process: Supplier Invoice - View",
          "Process: Supplier Portal - Purchase Orders",
          "Self-Service: Purchase Order",
          "View: Organization Purchase Order"
        ]
      }
    },
    "/requisitions/{ID}/relatedPurchaseOrders/{subresourceID}": {
      "get": {
        "tags": [
          "requisitions"
        ],
        "summary": "Retrieves a related purchase order for the specified requisition.",
        "description": "Retrieves a related purchase order with the specified ID for the specified requisition.\n\n<b>Secured By Domain:</b> Process: Purchase Order - Reporting, Process: Purchase Order - View, Process: Supplier Invoice (OLD), Process: Supplier Invoice - Reporting, Process: Supplier Invoice - View, Process: Supplier Portal - Purchase Orders, Reports: Organization Purchase Order Line Reporting, Reports: Organization Supplier Invoice Lines, Self-Service: Purchase Order, View: Organization Purchase Order\n\n<b>Scope:</b> Procurement, Supplier Accounts",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Document_Number, Purchase_Order_Reference_ID, External_PO_Number",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Document_Number|Purchase_Order_Reference_ID|External_PO_Number)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/relatedPurchaseOrderSummary_cb124c4f53f010001af6190a9802001d"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "cb124c4f53f010001ae4c765c18f001b",
        "x-workday-secured-by-domains": [
          "Process: Purchase Order - Reporting",
          "Process: Purchase Order - View",
          "Process: Supplier Invoice (OLD)",
          "Process: Supplier Invoice - Reporting",
          "Process: Supplier Invoice - View",
          "Process: Supplier Portal - Purchase Orders",
          "Reports: Organization Purchase Order Line Reporting",
          "Reports: Organization Supplier Invoice Lines",
          "Self-Service: Purchase Order",
          "View: Organization Purchase Order"
        ]
      }
    },
    "/requisitions/{ID}/requisitionLines/{subresourceID}": {
      "get": {
        "tags": [
          "requisitions"
        ],
        "summary": "Retrieves a requisition line for the specified requisition.",
        "description": "Retrieves a requisition line with the specified ID for the specified requisition.\n\n<b>Secured By Domain:</b> Process: Requisition - Reporting, Process: Requisition - View, Process: Supplier Portal - Requisitions, Self-Service: Requisition, View: Organization Requisition\n\n<b>Secured By Business Process Type:</b> Requisition Event\n\n<b>Scope:</b> Procurement\n\nContains attachment(s)",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Line_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Line_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/requisitionLineSummary_4b60be2b856c100017ffbcc376cf3169"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "5ccaff216cbc1000051b4ee66f5800b8",
        "x-workday-secured-by-domains": [
          "Process: Requisition - Reporting",
          "Process: Requisition - View",
          "Process: Supplier Portal - Requisitions",
          "Self-Service: Requisition",
          "View: Organization Requisition"
        ],
        "x-workday-secured-by-business-process-types": [
          "Requisition Event"
        ]
      },
      "delete": {
        "tags": [
          "requisitions"
        ],
        "summary": "Deletes the specified requisition line.",
        "description": "Deletes a line from the requisition with the specified ID.\n \n You can delete a requisition line only if all these conditions are true:\n \n * The requisition status is Draft or In Progress.\n \n * The requisition has more than 1 requisition line.\n \n * The requisition line is not part of the selected requisition.\n\n<b>Secured By Business Process Type:</b> Requisition Event\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Line_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Line_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource."
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A315 | Cannot delete requisition line. A Deliverable, Service or Goods Line is required on the Requisition. |\n| Critical | A330 | Cannot delete line. You must have at least 1 line remaining with a Spend Category that has Allocate Freight if there are Freight Charges. |\n| Critical | A333 | Cannot delete requisition line. Requisition line is not part of the Requisition. |\n| Critical | A334 | Cannot delete line. You must have at least 1 line remaining with a Spend Category that has Allocate Other Charges if there are Other Charges. |\n| Critical | A342 | Cannot delete requisition line where status is not Draft or In Progress. |\n| Critical | A1082 | Requisitions with a source of Workday Strategic Sourcing cannot remove lines. |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "b20a455d13e6100006779ff2bb69000b",
        "x-workday-secured-by-business-process-types": [
          "Requisition Event"
        ]
      },
      "patch": {
        "tags": [
          "requisitions"
        ],
        "summary": "Edits a specific requisition line for the requisition with the specified ID.",
        "description": "Partially updates a requisition line for the requisition with the specified ID. \n \nTo enable bulk support, specify \"bulk=true\" as a query parameter instead of the {requisitionLine-id} path parameter. You must specify the data[] in the request body, where each array item is the requisition line. For each requisition line in the array, specify the requisition line id in the id attribute, along with the fields to update. The maximum array size is 20.\n\nOnly the following fields can be edited on the line: memo, endDate, quantity, requestedDeliveryDate, lotSerialInformation, worktags, startDate, supplierItemIdentifier, and unitCost.\n\n**Starting in v3:**\n\nThe following fields can also be edited: deliverToLocation, shipToAdressReference, unitOfMeasure, spendCategory, supplier, shipToAddress\n\nYou can call these GET /values/requisitionsGroups subresources to retrieve values for the requisition and its requisition lines. These prompt value endpoints return the values that the user has access to.\n\n* supplierContract: Retrieves all prompt values for supplier contract. You can filter the resources by supplier and requisition.\n\n* deliverToLocation: Retrieves all prompt values for deliver-to location. Only applicable to non-inventory requisitions. You can filter the resources by company, req type, and requisitionLine. \n\n* shipToAddress: Retrieves all prompt values for ship-to address. You can filter the resources by requisitionDate, company, requester, and requisitionLine.\n\n* unitOfMeasure: Retrieves all prompt values for unit of measure.\n\n* spendCategory: Retrieves all prompt values for spend category.\n\n* resourceProvider: Retrieves all prompt values for resource provider. You can use these values for the supplier field. You can filter the resources by company, currency, supplier, and supplierContract\n\n* worktags: Retrieves prompt values for worktags. You can filter the resources by requisitionDate and requisitionLine.\nresolvedWorktags: Retrieves worktag prompt values that have been resolved between the existingWorktags and selectedWorktags. The returned set will have only one worktag per worktag type and be valid for submission with a requisition or requisition line. Worktags passed under selectedWorktags will take precedence between selectedWorktags and existingWorktags in resolving duplicate worktags of a single type.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Secured By Business Process Type:</b> Requisition Event\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Number, Requisition_ID_External, Requisition_Reference_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Number|Requisition_ID_External|Requisition_Reference_ID)=\\S+)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Line_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Line_ID)=\\S+)$"
          },
          {
            "in": "body",
            "name": "addRequisitionLineRepresentation",
            "required": true,
            "schema": {
              "$ref": "#/definitions/addRequisitionLineRepresentation_85fe2adb40611000128e4ab1c92d018a"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "schema": {
              "$ref": "#/definitions/addRequisitionLineRepresentation_85fe2adb40611000128e4ab1c92d018a"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A310 | Request includes field(s) that are not allowed for this operation of the requisition line. |\n| Critical | A329 | [invalid requisition line worktag value message] |\n| Critical | A348 | Service requests are not allowed for the selected company. |\n| Critical | A1602 | Supplier Contract Request requisitions don't support these fields on the lines: [Supplier Contract, No Charge, RFQ Required, Requested Delivery Date, Supplier Item Identifier]. |\n| Critical | A1604 | The calculated extended amount on the requisition line can't be zero. |\n| Critical | A2377 | You can't edit this requisition because it either is invalid or isn't in Draft or In Progress status. |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5895eceec01410000e7c5c5d5d68129a",
        "x-workday-secured-by-domains": [
          "Process: Requisition - Create/Edit",
          "Self-Service: Requisition"
        ],
        "x-workday-secured-by-business-process-types": [
          "Requisition Event"
        ]
      }
    },
    "/values/requisitionsGroup/requesters/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "additionalWorktags",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "allStandaloneTypes",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "commodityCode",
          "in": "query",
          "description": "The Workday ID of the Commodity Code. Used in the spendCategory resource to retrieve spend categories from the specified commodity code.",
          "required": false,
          "type": "string"
        },
        {
          "name": "company",
          "in": "query",
          "description": "The Workday ID of the company.",
          "required": false,
          "type": "string"
        },
        {
          "name": "currency",
          "in": "query",
          "description": "The Workday ID of the currency.",
          "required": false,
          "type": "string"
        },
        {
          "name": "existingWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that already exist on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "itemDescription",
          "in": "query",
          "description": "The description of an item.",
          "required": false,
          "type": "string"
        },
        {
          "name": "itemSpendCategory",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "procurementItem",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "reqTypeBillOnly",
          "in": "query",
          "description": "If true, retrieves requisition types that are bill only and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeBillOnly=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeBillOnly and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeBillOnly=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeConsignment",
          "in": "query",
          "description": "If true, retrieves requisition types that are consignment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeConsignment=true and reqTypeBillOnly=true, this endpoint retrieves the requisition types whose reqTypeConsignment and reqTypeBillOnly are both true. It won't retrieve requisition types whose reqTypeConsignment=true and reqTypeBillOnly=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeInvReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are inventory replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeInvReplenishment=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeInvReplenishment and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeInvReplenishment=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeJustInTime",
          "in": "query",
          "description": "If true, retrieves requisition types that are just in time and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeJustInTime=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeJustInTime and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeJustInTime=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeParReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are par replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, , reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeParReplenishment=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeParReplenishment and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeParReplenishment=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeShowAllTypes",
          "in": "query",
          "description": "If true, retrieves all requisition types. If false, the requisitionType parameter will be used to filter results.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeSupplierContract",
          "in": "query",
          "description": "If true, retrieves requisition types that are Supplier Contract Request and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "requester",
          "in": "query",
          "description": "The Workday ID of the worker for whom the requisition is requested. The reference ID uses the Employee_ID=sampleRefId format. Example: Employee_ID=21005",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisition",
          "in": "query",
          "description": "The Workday ID of the requisition.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionDate",
          "in": "query",
          "description": "The requisition date using the yyyy-mm-dd format.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "requisitionLine",
          "in": "query",
          "description": "The Workday ID of the requisition line.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionType",
          "in": "query",
          "description": "The Workday ID of the requisition type. If populated, retrieve all requisition types that exactly match the combination of usages of the requisition type passed (e.g. Inventory Replenishment and Bill Only). \n\nIf not populated, the default is the combination of reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, and reqTypeConsignment.\n\nIgnored if reqTypeShowAllTypes is populated.",
          "required": false,
          "type": "string"
        },
        {
          "name": "resourceProviderContract",
          "in": "query",
          "description": "The Workday ID of the supplier contract.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "selectedWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that are newly selected on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "supplier",
          "in": "query",
          "description": "The Workday ID of the resource provider.",
          "required": false,
          "type": "string"
        },
        {
          "name": "typesWithoutService",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "validForRequestingEntity",
          "in": "query",
          "description": "This parameter holds a true value when Requesting Entity is selected.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "worktagType",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "worktagTypeOrderIndex",
          "in": "query",
          "description": "The ordered index of the worktag type to search within. 0 targets additional (non-primary) worktags; 1..n target the configured primary worktag types in order. Used to constrain worktag prompt search for primary worktag types.",
          "required": false,
          "type": "integer",
          "format": "int64"
        }
      ],
      "x-workday-secured-by-domains": [
        "Process: Requisition - Create/Edit",
        "Self-Service: Requisition"
      ]
    },
    "/values/requisitionsGroup/companies/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\nNote: This prompt value endpoint also returns the Company_Reference_ID response field.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/companies_79938b33b430100016e942b7cee50000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "additionalWorktags",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "allStandaloneTypes",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "commodityCode",
          "in": "query",
          "description": "The Workday ID of the Commodity Code. Used in the spendCategory resource to retrieve spend categories from the specified commodity code.",
          "required": false,
          "type": "string"
        },
        {
          "name": "company",
          "in": "query",
          "description": "The Workday ID of the company.",
          "required": false,
          "type": "string"
        },
        {
          "name": "currency",
          "in": "query",
          "description": "The Workday ID of the currency.",
          "required": false,
          "type": "string"
        },
        {
          "name": "existingWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that already exist on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "itemDescription",
          "in": "query",
          "description": "The description of an item.",
          "required": false,
          "type": "string"
        },
        {
          "name": "itemSpendCategory",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "procurementItem",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "reqTypeBillOnly",
          "in": "query",
          "description": "If true, retrieves requisition types that are bill only and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeBillOnly=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeBillOnly and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeBillOnly=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeConsignment",
          "in": "query",
          "description": "If true, retrieves requisition types that are consignment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeConsignment=true and reqTypeBillOnly=true, this endpoint retrieves the requisition types whose reqTypeConsignment and reqTypeBillOnly are both true. It won't retrieve requisition types whose reqTypeConsignment=true and reqTypeBillOnly=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeInvReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are inventory replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeInvReplenishment=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeInvReplenishment and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeInvReplenishment=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeJustInTime",
          "in": "query",
          "description": "If true, retrieves requisition types that are just in time and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeJustInTime=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeJustInTime and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeJustInTime=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeParReplenishment",
          "in": "query",
          "description": "If true, retrieves requisition types that are par replenishment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, , reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeParReplenishment=true and reqTypeConsignment=true, this endpoint retrieves the requisition types whose reqTypeParReplenishment and reqTypeConsignment are both true. It won't retrieve requisition types whose reqTypeParReplenishment=true and reqTypeConsignment=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeShowAllTypes",
          "in": "query",
          "description": "If true, retrieves all requisition types. If false, the requisitionType parameter will be used to filter results.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeSupplierContract",
          "in": "query",
          "description": "If true, retrieves requisition types that are Supplier Contract Request and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "requester",
          "in": "query",
          "description": "The Workday ID of the worker for whom the requisition is requested. The reference ID uses the Employee_ID=sampleRefId format. Example: Employee_ID=21005",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisition",
          "in": "query",
          "description": "The Workday ID of the requisition.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionDate",
          "in": "query",
          "description": "The requisition date using the yyyy-mm-dd format.",
          "required": false,
          "type": "string",
          "format": "date"
        },
        {
          "name": "requisitionLine",
          "in": "query",
          "description": "The Workday ID of the requisition line.",
          "required": false,
          "type": "string"
        },
        {
          "name": "requisitionType",
          "in": "query",
          "description": "The Workday ID of the requisition type. If populated, retrieve all requisition types that exactly match the combination of usages of the requisition type passed (e.g. Inventory Replenishment and Bill Only). \n\nIf not populated, the default is the combination of reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, and reqTypeConsignment.\n\nIgnored if reqTypeShowAllTypes is populated.",
          "required": false,
          "type": "string"
        },
        {
          "name": "resourceProviderContract",
          "in": "query",
          "description": "The Workday ID of the supplier contract.",
          "required": false,
          "type": "string"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        },
        {
          "name": "selectedWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that are newly selected on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "supplier",
          "in": "query",
          "description": "The Workday ID of the resource provider.",
          "required": false,
          "type": "string"
        },
        {
          "name": "typesWithoutService",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "validForRequestingEntity",
          "in": "query",
          "description": "This parameter holds a true value when Requesting Entity is selected.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "worktagType",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "worktagTypeOrderIndex",
          "in": "query",
          "description": "The ordered index of the worktag type to search within. 0 targets additional (non-primary) worktags; 1..n target the configured primary worktag types in order. Used to constrain worktag prompt search for primary worktag types.",
          "required": false,
          "type": "integer",
          "format": "int64"
        }
      ],
      "x-workday-secured-by-domains": [
        "Process: Requisition - Create/Edit",
        "Self-Service: Requisition"
      ]
    },
    "/requisitionTemplates/{ID}": {
      "get": {
        "tags": [
          "requisitionTemplates"
        ],
        "summary": "Retrieves the goods and service line details of a requisition template.",
        "description": "Retrieves the goods and service line details of a requisition template with the specified ID. This operation returns only requisition templates that are authorized for use by the processing worker.\n\nYou can use the response data from this endpoint to:\n \n * Create a new requisition using POST /requisitions.\n \n * Add a requisition line to an existing requisition using POST /requisitions/{ID}/requisitionLines.\n\n<b>Secured By Domain:</b> Process: Shared Requisition Template - View, Self-Service: Requisition Template\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Requisition_Template_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Requisition_Template_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/requisitionTemplateDetail_8d1b9d13e05110002261c46350e40000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "e0327f064855100023691de3e87b0000",
        "x-workday-secured-by-domains": [
          "Process: Shared Requisition Template - View",
          "Self-Service: Requisition Template"
        ]
      }
    },
    "/values/requisitionsGroup/orderFromConnection/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.\n\n<b>Secured By Domain:</b> Process: Requisition - Create/Edit, Self-Service: Requisition\n\n<b>Scope:</b> Procurement",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "additionalWorktags",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "allStandaloneTypes",
          "in": "query",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "commodityCode",
          "in": "query",
          "description": "The Workday ID of the Commodity Code. Used in the spendCategory resource to retrieve spend categories from the specified commodity code.",
          "required": false,
          "type": "string"
        },
        {
          "name": "company",
          "in": "query",
          "description": "The Workday ID of the company.",
          "required": false,
          "type": "string"
        },
        {
          "name": "currency",
          "in": "query",
          "description": "The Workday ID of the currency.",
          "required": false,
          "type": "string"
        },
        {
          "name": "existingWorktags",
          "in": "query",
          "description": "The Workday ID of the worktag. Represents worktags that already exist on a requisition or requisition line. This parameter can be passed multiple times with different values.",
          "required": false,
          "type": "array",
          "items": {
            "type": "string"
          },
          "collectionFormat": "multi"
        },
        {
          "name": "itemDescription",
          "in": "query",
          "description": "The description of an item.",
          "required": false,
          "type": "string"
        },
        {
          "name": "itemSpendCategory",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "procurementItem",
          "in": "query",
          "required": false,
          "type": "string"
        },
        {
          "name": "reqTypeBillOnly",
          "in": "query",
          "description": "If true, retrieves requisition types that are bill only and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeBillOnly=true and reqTypeJustInTime=true, this endpoint retrieves the requisition types whose reqTypeBillOnly and reqTypeJustInTime are both true. It won't retrieve requisition types whose reqTypeBillOnly=true and reqTypeJustInTime=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeConsignment",
          "in": "query",
          "description": "If true, retrieves requisition types that are consignment and whose other reqType parameters (except reqTypeShowAllTypes) are also true. The reqType parameters are: reqTypeBillOnly, reqTypeInvReplenishment, reqTypeJustInTime, reqTypeParReplenishment, reqTypeConsignment, reqTypeSupplierContract. \n\nExample: If you specify the query parameters reqTypeConsignment=true and reqTypeBillOnly=true, this endpoint retrieves the requisition types whose reqTypeConsignment and reqTypeBillOnly are both true. It won't retrieve requisition types whose reqTypeConsignment=true and reqTypeBillOnly=false.",
          "required": false,
          "type": "boolean"
        },
        {
          "name": "reqTypeInvReplenishment",
          "in": "query",
[...]
